Page MenuHomeFreeBSD

multimedia/gxine: Fixed PLIST issue; Change on/off options
AbandonedPublic

Authored by ndowens_yahoo.com on Aug 22 2018, 11:09 PM.

Details

Reviewers
None
Summary

Fixed packaging issue due to plist issue
Used with/enable instead of on/off when possible
Added License file while here

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 19089
Build 18717: arc lint + arc unit

Event Timeline

multimedia/gxine/Makefile
31

This is no longer available in ports, and gxine works without it

ndowens_yahoo.com edited the summary of this revision. (Show Details)Aug 22 2018, 11:33 PM
mat added inline comments.Aug 23 2018, 7:05 AM
multimedia/gxine/Makefile
6

Why go from 0 to 2? 1 was not good enough?

35

Remove --without-dbus, it is already present in the previous line. As for the other one, it should probably be using *_CONFIGURE_ENABLE.

42–43

Remove this.

42–45

Remove the .if/.endif, leave the content.

55–56

Never ever install files with CP, use one of the INSTALL_* macros.

56–60
post-install-WEBPLUGIN-on:
ndowens_yahoo.com marked 6 inline comments as done.Aug 23 2018, 11:08 AM

Updating D16854: multimedia/gxine: Fixed PLIST issue; Change on/off options
Updated with mat's suggestions

ndowens_yahoo.com abandoned this revision.Aug 31 2018, 3:56 AM